Package x2go :: Package backends :: Package profiles :: Module _httpsbroker

[frames] | no frames]

# Source Code for Module x2go.backends.profiles._httpsbroker

     1  # -*- coding: utf-8 -*-
     2
     3  # Copyright (C) 2010-2013 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
     4  #
     5  # Python X2Go is free software; you can redistribute it and/or modify
     6  # it under the terms of the GNU Affero General Public License as published by
     7  # the Free Software Foundation; either version 3 of the License, or
     8  # (at your option) any later version.
     9  #
    10  # Python X2Go is distributed in the hope that it will be useful,
    11  # but WITHOUT ANY WARRANTY; without even the implied warranty of
    12  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    13  # GNU Affero General Public License for more details.
    14  #
    15  # You should have received a copy of the GNU Affero General Public License
    16  # along with this program; if not, write to the
    17  # Free Software Foundation, Inc.,
    18  # 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
    19
    20  """\
    21  L{X2GoSessionProfiles} class - managing x2goclient session profiles.
    22
    23  L{X2GoSessionProfiles} is a public API class. Use this class in your Python X2Go based
    24  applications.
    25
    26  """
    27  __NAME__ = 'x2gosessionprofiles-pylib'
    28
    29  # Python X2Go modules
    30  from x2go.defaults import X2GO_SESSIONPROFILES_CONFIGFILES
    31  from x2go.defaults import X2GO_SESSIONPROFILE_DEFAULTS
    32  import x2go.inifiles as inifiles
    33  import x2go.log as log
    34
    35  from x2go.x2go_exceptions import X2GoNotImplementedYetException
    36
    37 -class X2GoSessionProfilesHTTPSBROKER(inifiles.X2GoIniFile):
    38
    39      defaultSessionProfile = X2GO_SESSIONPROFILE_DEFAULTS
    40      _non_profile_sections = ('embedded')
    41
    42 -    def __init__(self, session_profile_defaults=None, logger=None, loglevel=log.loglevel_DEFAULT):
    43          """\
    44          Retrieve X2Go session profiles from a HTTPS session broker.
    45
    46          @param session_profile_defaults: a default session profile
    47          @type session_profile_defaults: C{dict}
    48          @param logger: you can pass an L{X2GoLogger} object to the
    49              L{X2GoSessionProfilesHTTPSBROKER} constructor
    50          @type logger: L{X2GoLogger} instance
    51          @param loglevel: if no L{X2GoLogger} object has been supplied a new one will be
    52              constructed with the given loglevel
    53          @type loglevel: C{int}
    54
    55          """
    56          raise X2GoNotImplementedYetException('HTTPSBROKER backend support is not implemented yet')
    57